Ejemplo n.º 1
0
        /// <summary>
        /// Creates a Wall following the geometry of a surface.
        /// Walls by Faces cannot be updated, any geometry change will
        /// create a new wall and delete the old one.
        /// </summary>
        /// <param name="locationLine"></param>
        /// <param name="wallType"></param>
        /// <param name="surface"></param>
        /// <returns></returns>
        public static Element ByFace(string locationLine, WallType wallType, Autodesk.DesignScript.Geometry.Surface surface)
        {
            WallLocationLine loc = WallLocationLine.CoreCenterline;

            if (!Enum.TryParse <WallLocationLine>(locationLine, out loc))
            {
                loc = WallLocationLine.CoreCenterline;
            }

            return(FaceWall.ByFace(loc, wallType, surface));
        }
Ejemplo n.º 2
0
 public static FaceWall Wrap(Autodesk.Revit.DB.FaceWall ele, bool isRevitOwned)
 {
     return(FaceWall.FromExisting(ele, isRevitOwned));
 }